body {
    justify-content: start;
}

.title {
    margin-top: 8vh;
}

.gallery {
    display: flex;
    flex-direction: row;
    column-gap: 5vw;
    row-gap: 3vw;
    margin-top: 5vh;
    max-width: calc(12vw * 4 + 5vw * 3);
    flex-wrap: wrap;
    margin-bottom: 3vw;
}

.item {
    width: 12vw;
    height: 9vw;
    background-color: rgba(0, 0, 0, 0.5);
}

.thumbnail {
    position: relative;
    width: 12vw;
    height: calc(9vw - 40px);
    background-size: contain;
    background-color: black;
    background-position: center;
    background-repeat: no-repeat;
}

.content {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    height: 40px;
}

.itemTitle {
    font-weight: 500;
    font-size: 17px;
    margin-left: 10px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.downloadBtn {
    margin-right: 10px;
    font-size: 20px;
    margin-left: 5px;
    color: white;
}

.credits {
    position: absolute;
    bottom: 5px;
    right: 5px;
    background-color: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(10px);
    padding: 0 5px 0 5px;
    font-size: 16px;
}

.downloadBtnMobile {
    position: absolute;
    display: none;
    color: white;
    bottom: 0;
    right: 0;
    font-size: 24px;
    background-color: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(10px);
    padding: 10px;
}

@media only screen and (max-width: 2000px) {
    .gallery {
        max-width: calc(17vw * 3 + 5vw * 2);
    }

    .item {
        width: 17vw;
        height: 12vw;
    }

    .thumbnail {
        width: 17vw;
        height: calc(12vw - 35px);
    }

    .itemTitle {
        font-size: 15px;
    }

    .downloadBtn {
        font-size: 17px;
    }

    .content {
        height: 35px;
    }
}

@media only screen and (max-width: 1500px) {
    .gallery {
        max-width: calc(20vw * 3 + 5vw * 2);
    }

    .item {
        width: 20vw;
        height: 15vw;
    }

    .thumbnail {
        width: 20vw;
        height: calc(15vw - 35px);
    }
}

@media only screen and (max-width: 1080px) {
    .content {
        display: none;
    }

    .gallery {
        max-width: calc(30vw * 2 + 5vw * 1);
    }

    .item {
        width: 30vw;
        height: 24vw;
    }

    .thumbnail {
        width: 30vw;
        height: 24vw;
    }

    .credits {
        left: 0;
        right: auto;
        font-size: 17px;
    }

    .downloadBtnMobile {
        display: block;
    }
}

@media only screen and (max-width: 820px) {
    .gallery {
        max-width: 60vw;
    }

    .item {
        width: 60vw;
        height: 40vw;
    }

    .thumbnail {
        width: 60vw;
        height: 40vw;
    }

    .downloadBtnMobile {
        font-size: 30px;
    }

    .credits {
        font-size: 20px;
    }
}

@media only screen and (max-width: 640px) {
    .gallery {
        max-width: 70vw;
    }

    .item {
        width: 70vw;
        height: 55vw;
    }

    .thumbnail {
        width: 70vw;
        height: 55vw;
    }
}

@media only screen and (max-width: 400px) {
    .downloadBtnMobile {
        font-size: 25px;
    }

    .credits {
        font-size: 15px;
    }

    .title {
        font-size: 40px;
    }
}